AbstractOrthoPairCollection (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.AbstractOrthoPairCollection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class AbstractOrthoPairCollection

    java.lang.Object
      org.biojava.bio.program.homologene.AbstractOrthoPairCollection

All Implemented Interfaces:
  OrthoPairCollection

Direct Known Subclasses:
  SimpleOrthoPairCollection

    public abstract class AbstractOrthoPairCollection

extends Object
implements OrthoPairCollection

An abstract implementation of the OrthoPairCollection interface. Its primary role is to implement the filter() method.i

Author:
  David Huen

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthoPairCollection
`OrthoPairCollection.Iterator`

Constructor Summary
`AbstractOrthoPairCollection()`

Method Summary
`abstract void` | `add(OrthoPairSet group)`
`abstract boolean` | `contains(OrthoPairSet group)`
`OrthoPairCollection` | `filter(OrthoPairSetFilter filters)`
`abstract boolean` | `isEmpty()`
`abstract OrthoPairCollection.Iterator` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOrthoPairCollection

    public AbstractOrthoPairCollection()

Method Detail

### add

    public abstract void add(OrthoPairSet group)

  Specified by:
    `add` in interface `OrthoPairCollection`

### contains

    public abstract boolean contains(OrthoPairSet group)

  Specified by:
    `contains` in interface `OrthoPairCollection`

### isEmpty

    public abstract boolean isEmpty()

  Specified by:
    `isEmpty` in interface `OrthoPairCollection`

### iterator

    public abstract OrthoPairCollection.Iterator iterator()

  Specified by:
    `iterator` in interface `OrthoPairCollection`

### filter

    public OrthoPairCollection filter(OrthoPairSetFilter filters)

  Specified by:
    `filter` in interface `OrthoPairCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD